GDB (xrefs)

Public Member Functions | Public Attributes | List of all members
debug_names::symbol_value Class Reference

## Public Member Functions
| symbol_value (int dwarf_tag_, int cu_index_, bool is_static_, unit_kind kind_)
bool | operator< (const symbol_value &other) const

## Public Attributes
const int | dwarf_tag
const int | cu_index
const bool | is_static
const unit_kind | kind

## Detailed Description

Definition at line 26386 of file dwarf2read.c.

## Constructor & Destructor Documentation

## ◆ symbol_value()

debug_names::symbol_value::symbol_value | ( | int | dwarf_tag_,
|  | int | cu_index_,
|  | bool | is_static_,
|  | unit_kind | kind_
| ) |  |
| inline

Definition at line 26393 of file dwarf2read.c.

## Member Function Documentation

## ◆ operator<()

bool debug_names::symbol_value::operator< | ( | const symbol_value & | other | ) | const
| inline

Definition at line 26400 of file dwarf2read.c.

References cu_index, dwarf_tag, is_static, kind, and X.

## Member Data Documentation

## ◆ cu_index

const int debug_names::symbol_value::cu_index

Definition at line 26389 of file dwarf2read.c.

Referenced by operator<().

## ◆ dwarf_tag

const int debug_names::symbol_value::dwarf_tag

Definition at line 26389 of file dwarf2read.c.

Referenced by operator<().

## ◆ is_static

const bool debug_names::symbol_value::is_static

Definition at line 26390 of file dwarf2read.c.

Referenced by operator<().

## ◆ kind

const unit_kind debug_names::symbol_value::kind

Definition at line 26391 of file dwarf2read.c.

Referenced by operator<().

The documentation for this class was generated from the following file:

- /tmp/gdb-8.1/gdb/dwarf2read.c